Electronics & Programming

develissimo

Open Source electronics development and programming

  • You are not logged in.

#1 Nov. 28, 2005 10:27:12

Piotr R.
Registered: 2009-11-02
Reputation: +  0  -
Profile   Send e-mail  

[PHP-DEV] PHP 5.0.5?


The PHP 5.0.5 disappeared from download page. What does it mean? There will be
5.0.6? 5.0.4 is the last from 5.0.x series?

--
.''`. Piotr Roszatycki, Netia SA
: :' :
`. `'
`-

--
PHP Internals - PHP Runtime Development Mailing List
To unsubscribe, visit:http://www.php.net/unsub.php

Offline

#2 Nov. 28, 2005 10:39:41

Lester C.
Registered: 2009-11-02
Reputation: +  0  -
Profile   Send e-mail  

[PHP-DEV] PHP 5.0.5?


Piotr Roszatycki wrote:The PHP 5.0.5 disappeared from download page. What does it mean? There will be5.0.6? 5.0.4 is the last from 5.0.x series?I was going to say just go to the releases pagehttp://www.php.net/releases.phpBut now I have been there myself I see what you meanSo rather than wasting time getting all my sites working with PHP5.0.5(which is why *I* have not had time to run up 5.1 yet) I should havetaken the other option and ignored it and gone straight to since now Ihave to go through the same exercise to get 5.1 playing fairly with dates ;)--
Lester Caine
-----------------------------
L.S.Caine Electronic Services
Treasurer - Firebird Foundation Inc.

--
PHP Internals - PHP Runtime Development Mailing List
To unsubscribe, visit:http://www.php.net/unsub.php

Offline

#3 Nov. 28, 2005 10:46:53

Edin K.
Registered: 2009-11-02
Reputation: +  0  -
Profile   Send e-mail  

[PHP-DEV] PHP 5.0.5?


Lester Caine wrote:
> So rather than wasting time getting all my sites working with PHP5.0.5
> (which is why *I* have not had time to run up 5.1 yet) I should have
> taken the other option and ignored it and gone straight to since now I
> have to go through the same exercise to get 5.1 playing fairly with
> dates ;)

For the impatient,http://downloads.php.net/ilia/php-5.1.1.tar.bz2plays
nicely with dates :)

Edin

--
PHP Internals - PHP Runtime Development Mailing List
To unsubscribe, visit:http://www.php.net/unsub.php

Offline

#4 Nov. 28, 2005 10:57:27

Lester C.
Registered: 2009-11-02
Reputation: +  0  -
Profile   Send e-mail  

[PHP-DEV] PHP 5.0.5?


Edin Kadribasic wrote:Lester Caine wrote:So rather than wasting time getting all my sites working with PHP5.0.5
(which is why *I* have not had time to run up 5.1 yet) I should have
taken the other option and ignored it and gone straight to since now I
have to go through the same exercise to get 5.1 playing fairly with
dates ;)For the impatient,http://downloads.php.net/ilia/php-5.1.1.tar.bz2plays
nicely with dates :)But is not available for windows yet :(In the meantime I am still receiving 'complaints' from people who haveonly just switched to 5.0.5 - and now their sites don't work - As wellas people WHO I HAVE TOLD NOT TO USE 5.1 who - can't get my code to runon it.*PLEASE* put something in BIG WRITING on the download page so that theordinary users know what is going on !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!--
Lester Caine
-----------------------------
L.S.Caine Electronic Services
Treasurer - Firebird Foundation Inc.

--
PHP Internals - PHP Runtime Development Mailing List
To unsubscribe, visit:http://www.php.net/unsub.php

Offline

#5 Nov. 28, 2005 11:13:58

Bastian G.
Registered: 2009-11-02
Reputation: +  0  -
Profile   Send e-mail  

[PHP-DEV] PHP 5.0.5?


My primary concern is that 5.0.5 still consists some (in 5.1 resolved)bugs and security holes.Since it is unlikely to assume that people will move to 5.1.1immediately IMO there should be a 5.0.6 with the current fixes.Piotr Roszatycki wrote:The PHP 5.0.5 disappeared from download page. What does it mean? There will be5.0.6? 5.0.4 is the last from 5.0.x series?--
PHP Internals - PHP Runtime Development Mailing List
To unsubscribe, visit:http://www.php.net/unsub.php

Offline

#6 Nov. 28, 2005 11:43:35

Edin K.
Registered: 2009-11-02
Reputation: +  0  -
Profile   Send e-mail  

[PHP-DEV] PHP 5.0.5?


Lester Caine wrote:
> But is not available for windows yet :(
> In the meantime I am still receiving 'complaints' from people who have
> only just switched to 5.0.5 - and now their sites don't work - As well
> as people WHO I HAVE TOLD NOT TO USE 5.1 who - can't get my code to run
> on it.
>
> *PLEASE* put something in BIG WRITING on the download page so that the
> ordinary users know what is going on !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

Don't be impatient, 5.1.1 is being released later today. If you really
are that impatient you can download win32 binary athttp://www.php.net/distributions/php-5.1.1-Win32.zipEdin

--
PHP Internals - PHP Runtime Development Mailing List
To unsubscribe, visit:http://www.php.net/unsub.php

Offline

#7 Nov. 28, 2005 12:04:40

Lester C.
Registered: 2009-11-02
Reputation: +  0  -
Profile   Send e-mail  

[PHP-DEV] PHP 5.0.5?


EdinYou are missing my point - I'd rather STOP people downloading the stuffthat is CAUSING problems everywhere !!!I am still playing catchup with 5.0.5 and now there ase 'complaints' onvarious forums that some package does not work with 5.1 - do I now fixthat - since people are NOT accepting that PHP will be fixed !!!We KNOW what the problems are, but it's people like me who are gettingit in the neck because *MY* software does not work. When it's notactually MY fault that is has been broken yet again. I did not write theoriginal code I am just trying to keep it working !!!--
Lester Caine
-----------------------------
L.S.Caine Electronic Services
Treasurer - Firebird Foundation Inc.

--
PHP Internals - PHP Runtime Development Mailing List
To unsubscribe, visit:http://www.php.net/unsub.php

Offline

#8 Nov. 28, 2005 12:14:42

Antony D.
Registered: 2009-11-02
Reputation: +  0  -
Profile   Send e-mail  

[PHP-DEV] PHP 5.0.5?


On 28.11.2005 15:01, Lester Caine wrote:EdinYou are missing my point - I'd rather STOP people downloading the stuffthat is CAUSING problems everywhere !!!I am still playing catchup with 5.0.5 and now there ase 'complaints' onvarious forums that some package does not work with 5.1 - do I now fixthat - since people are NOT accepting that PHP will be fixed !!!We KNOW what the problems are, but it's people like me who are gettingit in the neck because *MY* software does not work. When it's notactually MY fault that is has been broken yet again. I did not write theoriginal code I am just trying to keep it working !!!I'm pretty sure you had a lot of time to test *YOUR* software with releasecandidates and figure out if it's ready for 5.1 or not before the release.And please, when you say "it has been broken yet again", explain what do you
mean by that.
Thanks.

--Wbr,Antony Dovgal--
PHP Internals - PHP Runtime Development Mailing List
To unsubscribe, visit:http://www.php.net/unsub.php

Offline

#9 Nov. 28, 2005 12:36:10

Lester C.
Registered: 2009-11-02
Reputation: +  0  -
Profile   Send e-mail  

[PHP-DEV] PHP 5.0.5?


Antony Dovgal wrote:On 28.11.2005 15:01, Lester Caine wrote:EdinYou are missing my point - I'd rather STOP people downloading thestuff that is CAUSING problems everywhere !!!I am still playing catchup with 5.0.5 and now there ase 'complaints'on various forums that some package does not work with 5.1 - do I nowfix that - since people are NOT accepting that PHP will be fixed !!!We KNOW what the problems are, but it's people like me who are gettingit in the neck because *MY* software does not work. When it's notactually MY fault that is has been broken yet again. I did not writethe original code I am just trying to keep it working !!!I'm pretty sure you had a lot of time to test *YOUR* software withrelease candidates and figure out if it's ready for 5.1 or not beforethe release.The simple answer to that is *NO* - we know that anything usingPEAR::Date will bauk, but at present I'm still working on reparingpackages that fail under 5.0.5I've told users NOT to use 5.1 but that does not stop them - does it ?
Then they complain when things we have told them will not work - don't !And please, when you say "it has been broken yet again", explain what doyou mean by that.Exactly what I have said - I'm still fixing 5.0.5 problems - now inpackages like PHPDocumentor - which no one else seems to be addressing.Will PHPDocumentor work with 5.1 - I don't know, but as of today I havea copy that runs on 5.0.5 - but don't know yet if I have all of theproblems fixed :(And then there are the people who need the 5.0.5 fixes to PHPDocumentorso that it will work with PHP4.4.?--
Lester Caine
-----------------------------
L.S.Caine Electronic Services
Treasurer - Firebird Foundation Inc.

--
PHP Internals - PHP Runtime Development Mailing List
To unsubscribe, visit:http://www.php.net/unsub.php

Offline

#10 Nov. 28, 2005 12:54:14

Antony D.
Registered: 2009-11-02
Reputation: +  0  -
Profile   Send e-mail  

[PHP-DEV] PHP 5.0.5?


On 28.11.2005 15:35, Lester Caine wrote:Antony Dovgal wrote:On 28.11.2005 15:01, Lester Caine wrote:EdinYou are missing my point - I'd rather STOP people downloading thestuff that is CAUSING problems everywhere !!!I am still playing catchup with 5.0.5 and now there ase 'complaints'on various forums that some package does not work with 5.1 - do I nowfix that - since people are NOT accepting that PHP will be fixed !!!We KNOW what the problems are, but it's people like me who are gettingit in the neck because *MY* software does not work. When it's notactually MY fault that is has been broken yet again. I did not writethe original code I am just trying to keep it working !!!I'm pretty sure you had a lot of time to test *YOUR* software withrelease candidates and figure out if it's ready for 5.1 or not beforethe release.The simple answer to that is *NO* - we know that anything usingPEAR::Date will bauk, but at present I'm still working on reparingpackages that fail under 5.0.5"NO" what? No, you didn't have a chance to test it with RCs?
Or no, you didn't even try to test it?
Didn't get it, sorry..I've told users NOT to use 5.1 but that does not stop them - does it ?
Then they complain when things we have told them will not work - don't !Erm..
Your code doesn't work with 5.1 and has some problems with 5.0, right?
So maybe it's better to tell them not to use your code?
Or at least to declare officially "THIS CODE WORKS WITH PHP4 ONLY, DON'T EVEN TRY IT
WITH PHP5".
The latter seems to be the best option to me.
Why to blame PHP instead ?Exactly what I have said - I'm still fixing 5.0.5 problems - now inpackages like PHPDocumentor - which no one else seems to be addressing.Will PHPDocumentor work with 5.1 - I don't know, but as of today I havea copy that runs on 5.0.5 - but don't know yet if I have all of theproblems fixed :(And then there are the people who need the 5.0.5 fixes to PHPDocumentorso that it will work with PHP4.4.?AFAIR you were told several times that there are branches in CVS and it'spointless to try to make the code compatible with all possible PHP versions.Make a branch and separate PEAR for 5.x and PEAR for 4.x.
This way you won't have to make the same code work with PHP5 and PHP4.

--Wbr,Antony Dovgal--
PHP Internals - PHP Runtime Development Mailing List
To unsubscribe, visit:http://www.php.net/unsub.php

Offline

Board footer

Moderator control

Enjoy the 20th of January
PoweredBy

The Forums are managed by develissimo stuff members, if you find any issues or misplaced content please help us to fix it. Thank you! Tell us via Contact Options
Leave a Message
Welcome to Develissimo Live Support